Index: issm/trunk/externalpackages/petsc/install-3.2-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-pleiades.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.2-pleiades.sh	(revision 13395)
@@ -1,6 +1,7 @@
 #!/bin/bash
+set -eu
 #Step 1: unzip and install
 #Step 2: After Plapack implodes
-STEP=1
+STEP=2
 
 if [ $STEP -eq 1 ]; then
@@ -25,5 +26,5 @@
 		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 		--with-debugging=0 \
-		--with-shared-libraries=0 \
+		--with-shared-libraries=1 \
 		--with-blas-lapack-dir=/nasa/intel/mkl/10.0.011/ \
 		--known-mpi-shared-libraries=1 \
@@ -52,5 +53,5 @@
 	 --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	 --with-debugging=0 \
-	 --with-shared-libraries=0 \
+	 --with-shared-libraries=1 \
 	 --with-blas-lapack-dir=/nasa/intel/mkl/10.0.011/ \
 	 --with-mpi-lib=/nasa/sgi/mpt/1.25/lib/libmpi.so \
Index: issm/trunk/externalpackages/petsc/install-3.3-linux64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.3-linux64.sh	(revision 13395)
+++ issm/trunk/externalpackages/petsc/install-3.3-linux64.sh	(revision 13395)
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install petsc-3.3-p2 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-lite-3.3-p2.tar.gz' 'petsc-3.3-p2.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.3-p2.tar.gz
+mv petsc-3.3-p2/* src/
+rm -rf petsc-3.3-p2
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
+	--PETSC_ARCH=linux-gnu-amd64 \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-shared-libraries=1 \
+	--download-mumps=yes \
+	--download-scalapack=yes \
+	--download-blacs=yes \
+	--download-blas=yes \
+	--download-f-blas-lapack=yes \
+	--download-plapack=yes \
+	--download-parmetis=yes \
+	--download-metis=yes \
+	--with-pic=1
+
+#Compile petsc and install it
+make
+make install
Index: issm/trunk/externalpackages/petsc/install-3.3-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.3-macosx64.sh	(revision 13395)
+++ issm/trunk/externalpackages/petsc/install-3.3-macosx64.sh	(revision 13395)
@@ -0,0 +1,36 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install petsc-3.3-p2 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-lite-3.3-p2.tar.gz' 'petsc-3.3-p2.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.3-p2.tar.gz
+mv petsc-3.3-p2/* src/
+rm -rf petsc-3.3-p2
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
+	--PETSC_ARCH="macosx-gnu" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-shared-libraries=1 \
+	--download-mumps=yes \
+	--download-scalapack=yes \
+	--download-blacs=yes \
+	--download-blas=yes \
+	--download-f-blas-lapack=yes \
+	--download-plapack=yes \
+	--download-parmetis=yes \
+	--download-metis=yes 
+
+#Compile petsc and install it
+make
+make install
Index: issm/trunk/externalpackages/petsc/install-dev-linux64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-dev-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-dev-linux64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 STEP=2
@@ -21,6 +22,6 @@
 # configure script
 # Note: using metis from externalpackages did not work...
-# for now downloading new metis
-#   -then rename metis in externalpackages to metis2
+#       -for now download new metis
+#       -rename metis in externalpackages to metis2
 
 
@@ -35,14 +36,22 @@
 	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
-	--with-shared-libraries=0 \
-	--download-metis=yes \
+	--with-shared-libraries=1 \
 	--download-mumps=yes \
+	--download-plapack=yes \
 	--download-scalapack=yes \
-	--download-blacs=yes \
+	--download-blacs=yes  \
 	--download-blas=yes \
 	--download-f-blas-lapack=yes \
-	--download-plapack=yes \
 	--download-parmetis=yes \
+	--download-metis=yes \
+	--download-trilinos=yes \
+	--download-euclid=yes \
+	--download-pastix=yes \
+	--download-ptscotch=yes \
+	--download-spooles=yes \
 	--download-spai=yes \
+	--download-superlu=yes \
+	--download-hypre=yes \
+	--download-prometheus=yes \
 	--with-pic=1
 
Index: issm/trunk/externalpackages/petsc/install-dev-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-dev-pleiades.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-dev-pleiades.sh	(revision 13395)
@@ -1,6 +1,6 @@
 #!/bin/bash
+set -eu
 #Step 0: download
-#Step 1: install before plapack crasehs
-#Step 2: After Plapack implodes
+#Step 1: install and write script
 STEP=0
 
@@ -19,5 +19,4 @@
 #      cd config/BuildSystem
 #      hg pull -u
-
 
 # configure script
@@ -56,6 +55,9 @@
 		--download-spooles=yes \
 		--download-spai=yes \
-		--download-superlu=http://crd.lbl.gov/~xiaoye/SuperLU/superlu_4.3.tar.gz \
+		--download-superlu=yes \
+		--download-hypre=yes \
+		--download-prometheus=yes \
 		--FFLAGS=-I/usr/include \
+		--with-cxx=icpc \
 		--with-cc=icc \
 		--with-fc=ifort \
@@ -64,46 +66,5 @@
 		--CXXOPTFLAGS=" -O3 -xS" \
 		--with-pic=1
-	echo "== Fix Plapack compilation manually (http://issm.jpl.nasa.gov/documentation/faq/petsc32/) =="
-	echo "== Then run STEP=2 =="
-fi
-if [ $STEP -eq 2 ]; then
-	cd src
-	./config/configure.py \
-	 --prefix="$ISSM_DIR/externalpackages/petsc/install" \
-	 --with-batch=1  \
-	 --PETSC_ARCH="$ISSM_ARCH" \
-	 --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
-	 --with-debugging=0 \
-	 --with-shared-libraries=0 \
-	 --with-blas-lapack-dir=/nasa/intel/mkl/10.0.011/ \
-	 --with-mpi-lib=/nasa/sgi/mpt/2.04/lib/libmpi.so \
-	 --with-mpi-include=/nasa/sgi/mpt/2.04/include  \
-	 --known-mpi-shared-libraries=1 \
-	 --download-mumps=yes \
-	 --download-scalapack=yes \
-	 --download-blacs=yes  \
-	 --download-blas=yes \
-	 --with-f-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
-	 --download-parmetis=yes \
-	 --download-metis=yes \
-	 --with-cxx=icpc \
-	 --download-hypre=yes \
-	 --download-trilinos=yes \
-	 --download-prometheus=yes \
-	 --download-euclid=yes \
-	 --download-pastix=yes \
-	 --download-ptscotch=yes \
-	 --download-spooles=yes \
-	 --download-superlu=http://crd.lbl.gov/~xiaoye/SuperLU/superlu_4.3.tar.gz \
-	 --with-spai-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
-	 --with-plapack-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
-	 --FFLAGS=-I/usr/include \
-	 --with-cc=icc \
-	 --with-fc=ifort \
-	 --COPTFLAGS=" -O3 -xS" \
-	 --FOPTFLAGS=" -O3 -xS" \
-	 --CXXOPTFLAGS=" -O3 -xS" \
-	 --with-pic=1
-	 cat > script.queue << EOF
+		cat > script.queue << EOF
 #PBS -S /bin/bash
 #PBS -q debug 
Index: issm/trunk/externalpackages/polygonclipper/install.sh
===================================================================
--- issm/trunk/externalpackages/polygonclipper/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/polygonclipper/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/pyclips/install.sh
===================================================================
--- issm/trunk/externalpackages/pyclips/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/pyclips/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/pysvn/install.sh
===================================================================
--- issm/trunk/externalpackages/pysvn/install.sh	(revision 13395)
+++ issm/trunk/externalpackages/pysvn/install.sh	(revision 13395)
@@ -0,0 +1,26 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src
+rm -rf pysvn-1.7.6
+mkdir src 
+
+export CC=/usr/local/gfortran/bin/gcc
+export CXX=/usr/local/gfortran/bin/g++
+export FFLAGS=-ff2c
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/pysvn-1.7.6.tar.gz' 'pysvn-1.7.6.tar.gz'
+
+#Untar 
+tar -zxvf  pysvn-1.7.6.tar.gz
+
+#Move pysvn into src directory
+mv pysvn-1.7.6/* src
+rm -rf pysvn-1.7.6
+
+$install
+cd src
+python setup.py build
+python setup.py install
Index: issm/trunk/externalpackages/python/install-2.7.3-linux64.sh
===================================================================
--- issm/trunk/externalpackages/python/install-2.7.3-linux64.sh	(revision 13395)
+++ issm/trunk/externalpackages/python/install-2.7.3-linux64.sh	(revision 13395)
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.3
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.3.tgz Python-2.7.3.tgz
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.3.tgz
+mv Python-2.7.3/* src
+rm -rf Python-2.7.3
+
+#Configure python
+cd src 
+./configure \
+ --prefix="$ISSM_DIR/externalpackages/python/install" \
+ --enable-shared
+
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install/include
+cp python2.7/* ./
+cd ../lib
+ln -s  libpython2.7.so.1.0 libpython.so
Index: issm/trunk/externalpackages/python/install-2.7.3-macosx-lion.sh
===================================================================
--- issm/trunk/externalpackages/python/install-2.7.3-macosx-lion.sh	(revision 13395)
+++ issm/trunk/externalpackages/python/install-2.7.3-macosx-lion.sh	(revision 13395)
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.3
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.3.tgz Python-2.7.3.tgz
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.3.tgz
+mv Python-2.7.3/* src
+rm -rf Python-2.7.3
+
+#Configure and compile
+cd src 
+./configure \
+ --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install
+
+#get rid of bin, because it's just a copy of
+#Library/Frameworks/Python.framework/Versions/2.7/bin, and will not reflect
+#new changes being made
+rm -rf bin
+ln -s Library/Frameworks/Python.framework/Headers include
+ln -s Library/Frameworks/Python.framework/Versions/2.7/lib lib
+ln -s Library/Frameworks/Python.framework/Versions/2.7/bin bin
+
+#Patch pyport.h:
+cd include
+patch pyport.h $ISSM_DIR/externalpackages/python/patches/pyport.h.patch
Index: issm/trunk/externalpackages/python/install-2.7.3-macosx-snowleopard.sh
===================================================================
--- issm/trunk/externalpackages/python/install-2.7.3-macosx-snowleopard.sh	(revision 13395)
+++ issm/trunk/externalpackages/python/install-2.7.3-macosx-snowleopard.sh	(revision 13395)
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.3
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.3.tgz Python-2.7.3.tgz
+
+#exports
+export MACOSX_DEPLOYMENT_TARGET=10.6
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.3.tgz
+mv Python-2.7.3/* src
+rm -rf Python-2.7.3
+
+#Configure doxygen
+cd src 
+# --enable-framework needs to have the form "$SOME_PATH/Library/Frameworks" to avoid installing components in /Applications directory
+# --prefix is recognized as $SOME_PATH as long as this form is taken, so it's not necessary to include
+./configure --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+
+#make
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install
+ln -s Library/Frameworks/Python.framework/Headers include
+ln -s Library/Frameworks/Python.framework/Versions/2.7/lib lib
+
+#Patch pyport.h:
+cd include
+patch pyport.h $ISSM_DIR/externalpackages/python/patches/pyport.h.patch
Index: issm/trunk/externalpackages/python/install-3.2.2-linux64.sh
===================================================================
--- issm/trunk/externalpackages/python/install-3.2.2-linux64.sh	(revision 13395)
+++ issm/trunk/externalpackages/python/install-3.2.2-linux64.sh	(revision 13395)
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-3.2.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-3.2.2.tgz Python-3.2.2.tgz
+
+#exports
+export CC
+
+#Untar and move python into install directory
+tar -zxvf  Python-3.2.2.tgz
+mv Python-3.2.2/* src
+rm -rf Python-3.2.2
+
+#Configure python
+cd src 
+./configure \
+ --prefix="$ISSM_DIR/externalpackages/python/install" \
+ --enable-shared
+
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install/bin
+ln -s python3.2 python 
+cd ../
+ln -s Python.framework/Versions/3.2/include/python3.2m include
+ln -s Python.framework/Versions/3.2/lib/ lib
Index: issm/trunk/externalpackages/python/install-3.2.2-macosx-lion.sh
===================================================================
--- issm/trunk/externalpackages/python/install-3.2.2-macosx-lion.sh	(revision 13395)
+++ issm/trunk/externalpackages/python/install-3.2.2-macosx-lion.sh	(revision 13395)
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-3.2.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-3.2.2.tgz Python-3.2.2.tgz
+
+#exports
+export CC
+
+#Untar and move python into install directory
+tar -zxvf  Python-3.2.2.tgz
+mv Python-3.2.2/* src
+rm -rf Python-3.2.2
+
+#Configure doxygen
+cd src 
+./configure \
+ --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+
+#obsolete? 
+#./configure --prefix="$ISSM_DIR/externalpackages/python/install" --enable-framework="$ISSM_DIR/externalpackages/python/install"
+
+#make
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd install/bin
+ln -s python3.2 python 
+cd ../
+ln -s Python.framework/Versions/3.2/include/python3.2m include
+ln -s Python.framework/Versions/3.2/lib/ lib
Index: issm/trunk/externalpackages/python/install-3.2.2-macosx-snowleopard.sh
===================================================================
--- issm/trunk/externalpackages/python/install-3.2.2-macosx-snowleopard.sh	(revision 13395)
+++ issm/trunk/externalpackages/python/install-3.2.2-macosx-snowleopard.sh	(revision 13395)
@@ -0,0 +1,41 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-3.2.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-3.2.2.tgz Python-3.2.2.tgz
+
+#exports
+export CC
+export MACOSX_DEPLOYMENT_TARGET=10.6
+
+#Untar and move python into install directory
+tar -zxvf  Python-3.2.2.tgz
+mv Python-3.2.2/* src
+rm -rf Python-3.2.2
+
+#Configure doxygen
+cd src 
+# --enable-framework needs to have the form "$SOME_PATH/Library/Frameworks" to avoid installing components in /Applications directory
+# --prefix is recognized as $SOME_PATH as long as this form is taken, so it's not necessary to include
+./configure \
+ --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+
+#make
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+cd ..
+
+cd install/bin
+ln -s python3.2 python 
+cd ../
+ln -s Python.framework/Versions/3.2/include/python3.2m include
+ln -s Python.framework/Versions/3.2/lib/ lib
Index: issm/trunk/externalpackages/python/patches/pyport.h.patch.bugreport
===================================================================
--- issm/trunk/externalpackages/python/patches/pyport.h.patch.bugreport	(revision 13395)
+++ issm/trunk/externalpackages/python/patches/pyport.h.patch.bugreport	(revision 13395)
@@ -0,0 +1,1 @@
+http://bugs.python.org/issue10910
Index: issm/trunk/externalpackages/qhull/install.sh
===================================================================
--- issm/trunk/externalpackages/qhull/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/qhull/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/rats/install.sh
===================================================================
--- issm/trunk/externalpackages/rats/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/rats/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Erase install
Index: issm/trunk/externalpackages/readline/install.sh
===================================================================
--- issm/trunk/externalpackages/readline/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/readline/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/rose/install.sh
===================================================================
--- issm/trunk/externalpackages/rose/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/rose/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -22,5 +23,5 @@
 	--srcdir=$ISSM_DIR/externalpackages/rose/source
 
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/satstress/install.sh
===================================================================
--- issm/trunk/externalpackages/satstress/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/satstress/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/scipy/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/scipy/install-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/scipy/install-linux64.sh	(revision 13395)
@@ -1,9 +1,4 @@
 #!/bin/bash
-
-#1: install numpy
-#2 install scipy
-#3 erase
-install=2
-
+set -eu
 
 export CC="gcc -fPIC"
@@ -13,37 +8,21 @@
 export FFLAGS=-ff2c
 
+#clean up
+rm -rf scipy
 
-if [[ $install == "1" ]];then 
+#download scipy
+export GIT_SSL_NO_VERIFY=true 
+git clone https://github.com/scipy/scipy.git
 
-	#download numpy first
+#install scipy
+cd scipy
+export  BLAS_SRC=$ISSM_DIR/externalpackages/blas/install/lib
+export  BLAS=$ISSM_DIR/externalpackages/blas/install/lib
+export  LAPACK_SRC=$ISSM_DIR/externalpackages/lapack/install/lib
+export  LAPACK=$ISSM_DIR/externalpackages/lapack/install/lib
 
-	export GIT_SSL_NO_VERIFY=true 
-	git clone https://github.com/numpy/numpy.git
-
-	#install numpy
-	cd numpy
-	python setup.py build
-	python setup.py install
-
-	
-elif [[ $install == "2" ]];then 
-	
-	#download scipy
-	export GIT_SSL_NO_VERIFY=true 
-	git clone https://github.com/scipy/scipy.git
-
-	#install scipy
-	cd scipy
-	export  BLAS_SRC=$ISSM_DIR/externalpackages/blas/install/lib
-	export  BLAS=$ISSM_DIR/externalpackages/blas/install/lib
-	export  LAPACK_SRC=$ISSM_DIR/externalpackages/lapack/install/lib
-	export  LAPACK=$ISSM_DIR/externalpackages/lapack/install/lib
-
-	python setup.py build
-	python setup.py install
-
-elif [[ $install == "3" ]];then 
-	rm -rf numpy scipy
-else 
-	echo "Choice not covered"
-fi
+python setup.py build
+python setup.py install
+cd ..
+python -c "import scipy; print 'Installed SciPy', scipy.__version__"
+#python -c "import scipy; scipy.test()"
Index: issm/trunk/externalpackages/scipy/install-macosx-lion.sh
===================================================================
--- issm/trunk/externalpackages/scipy/install-macosx-lion.sh	(revision 12709)
+++ issm/trunk/externalpackages/scipy/install-macosx-lion.sh	(revision 13395)
@@ -1,39 +1,20 @@
 #!/bin/bash
-
-#1: install numpy
-#2 install scipy
-#3 erase
-install=2
-
+set -eu
 
 export CC=gcc
 export CXX=g++
 export FFLAGS=-ff2c
+	
+#download scipy
+git clone https://github.com/scipy/scipy.git
 
+#install scipy
+cd scipy
+export  BLAS_SRC=$ISSM_DIR/externalpackages/blas/install/lib
+export  BLAS=$ISSM_DIR/externalpackages/blas/install/lib
+export  LAPACK_SRC=$ISSM_DIR/externalpackages/lapack/install/lib
+export  LAPACK=$ISSM_DIR/externalpackages/lapack/install/lib
 
-if [[ $install == "1" ]];then 
-
-	#download numpy first
-	git clone https://github.com/numpy/numpy.git
-
-	#install numpy
-	cd numpy
-	python setup.py build
-	python setup.py install
-
-	
-elif [[ $install == "2" ]];then 
-	
-	#download scipy
-	git clone https://github.com/scipy/scipy.git
-
-	#install scipy
-	cd scipy
-	python setup.py build
-	python setup.py install
-
-elif [[ $install == "3" ]];then 
-	rm -rf numpy scipy
-else 
-	echo "Choice not covered"
-fi
+#install scipy
+python setup.py build
+python setup.py install
Index: issm/trunk/externalpackages/scipy/install-macosx-snowleopard.sh
===================================================================
--- issm/trunk/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 12709)
+++ issm/trunk/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 13395)
@@ -1,45 +1,17 @@
 #!/bin/bash
-PYVERSION=2.7
-PYTHON=python${PYVERSION}
+set -eu
 
-#1: install numpy
-#2 install scipy
-#3 erase
-install=2
+# On OSX 10.6, fgortran gets installed in /usr/local/gfortran 
+export CC="/usr/local/gfortran/bin/gcc"
+export CXX="/usr/local/gfortran/bin/g++"
 
-# gfortran 4.6 (see ISSM_DIR/externalpackages/gfortran) is necessary for ISSM compilation.
-# On OSX 10.6, this recommended version gets installed in /usr/local/gfortran 
-export CC=/usr/local/gfortran/bin/gcc
-export CXX=/usr/local/gfortran/bin/g++
+#download scipy
+git clone https://github.com/scipy/scipy.git
 
-if [[ $install == "1" ]];then 
-
-	#download numpy first
-	git clone https://github.com/numpy/numpy.git
-
-	#install numpy
-	cd numpy
-	python setup.py build
-	python setup.py install
-	cd ..
-	${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
-	${PYTHON} -c "import numpy; numpy.test()"
-	
-elif [[ $install == "2" ]];then 
-	
-	#download scipy
-	git clone https://github.com/scipy/scipy.git
-
-	#install scipy
-	cd scipy
-	python setup.py build
-	python setup.py install
-	cd ..
-	${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
-	${PYTHON} -c "import scipy; scipy.test()"
-
-elif [[ $install == "3" ]];then 
-	rm -rf numpy scipy
-else 
-	echo "Choice not covered"
-fi
+#install scipy
+cd scipy
+python setup.py build
+python setup.py install
+cd ..
+python -c "import scipy; print 'Installed SciPy', scipy.__version__"
+python -c "import scipy; scipy.test()"
Index: issm/trunk/externalpackages/scotch/install.sh
===================================================================
--- issm/trunk/externalpackages/scotch/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/scotch/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 # Some cleanup
Index: issm/trunk/externalpackages/shapelib/install.sh
===================================================================
--- issm/trunk/externalpackages/shapelib/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/shapelib/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 # Some cleanup
@@ -25,5 +26,5 @@
 # Build shapelib and run self-tests
 cd src
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/slepc/install.sh
===================================================================
--- issm/trunk/externalpackages/slepc/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/slepc/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -18,5 +19,5 @@
 cd install
 ./config/configure.py
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/sqlite/install.sh
===================================================================
--- issm/trunk/externalpackages/sqlite/install.sh	(revision 13395)
+++ issm/trunk/externalpackages/sqlite/install.sh	(revision 13395)
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf sqlite-autoconf-3071300
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/sqlite-autoconf-3071300.tar.gz' 'sqlite-autoconf-3071300.tar.gz'
+
+#Untar 
+tar -zxvf  sqlite-autoconf-3071300.tar.gz
+
+#Move sqlite-autoconf into src directory
+mv sqlite-autoconf-3071300/* src
+rm -rf sqlite-autoconf-3071300
+
+#Configure sqlite-autoconf
+cd src
+./configure  --prefix="$ISSM_DIR/externalpackages/sqlite/install" 
+
+#Compile and install sqlite-autoconf
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/trunk/externalpackages/svn/install.sh
===================================================================
--- issm/trunk/externalpackages/svn/install.sh	(revision 13395)
+++ issm/trunk/externalpackages/svn/install.sh	(revision 13395)
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf subversion-1.6.18
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/subversion-1.6.18.tar.gz' 'subversion-1.6.18.tar.gz'
+
+#Untar 
+tar -zxvf  subversion-1.6.18.tar.gz
+
+#Move subversion into src directory
+mv subversion-1.6.18/* src
+rm -rf subversion-1.6.18
+
+#Configure subversion
+cd src
+./configure --prefix="$ISSM_DIR/externalpackages/svn/install" \
+	--with-swig="$ISSM_DIR/externalpackages/swig/install"  \
+	PYTHON2="$ISSM_DIR/externalpackages/python/install/bin/python" \
+	--with-sqlite="$ISSM_DIR/externalpackages/sqlite/install"
+
+#Compile and install subversion
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/trunk/externalpackages/swig/install.sh
===================================================================
--- issm/trunk/externalpackages/swig/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/swig/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -18,12 +19,19 @@
 #cp $ISSM_DIR/externalpackages/pcre/install/pcre.h  ./Source/Include/
 #cp $ISSM_DIR/externalpackages/pcre/install/.libs/*  ./Source/Include/
-export CFLAGS="$CFLAGS -I$ISSM_DIR/externalpackages/pcre/install"
+export CFLAGS="-I$ISSM_DIR/externalpackages/pcre/install"
 export LDFLAGS="-L$ISSM_DIR/externalpackages/pcre/install/.libs/"
 export LIBS="-lpcre"
-#Configure doxygen
+#Configure swig
 ./configure \
- --prefix="$ISSM_DIR/externalpackages/python/install" \
+ --prefix="$ISSM_DIR/externalpackages/swig/install" \
  --with-pcre-prefix="$ISSM_DIR/externalpackages/pcre/install" \
- --with-pcre-exec-prefix="$ISSM_DIR/externalpackages/pcre/install"
-make 
+ --with-pcre-exec-prefix="$ISSM_DIR/externalpackages/pcre/install" \
+ --with-python="$ISSM_DIR/externalpackages/python/install/bin/python"
+
+#Compile and install gdal
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
 make install
Index: issm/trunk/externalpackages/tao/install-2.0.sh
===================================================================
--- issm/trunk/externalpackages/tao/install-2.0.sh	(revision 13395)
+++ issm/trunk/externalpackages/tao/install-2.0.sh	(revision 13395)
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -eu
+#http://www.mcs.anl.gov/research/projects/tao/download/index.html
+
+#Compatible with PETSc 3.2
+
+#Some cleanup
+rm -rf install tao-2.0-p3
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tao-2.0-p3.tar.gz' 'tao-2.0-p3.tar.gz'
+
+#Untar 
+tar -zxvf  tao-2.0-p3.tar.gz
+
+#move into place
+mv tao-2.0-p3/* install/
+rm -rf tao-2.0-p3
+cd install
+export TAO_DIR="$ISSM_DIR/externalpackages/tao/install/"
+
+#petsc needs to be compiled with --with-clanguage=C++
+make
Index: issm/trunk/externalpackages/tao/install-2.1.sh
===================================================================
--- issm/trunk/externalpackages/tao/install-2.1.sh	(revision 13395)
+++ issm/trunk/externalpackages/tao/install-2.1.sh	(revision 13395)
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -eu
+#http://www.mcs.anl.gov/research/projects/tao/download/index.html
+
+#compatible with PETSc 3.3
+
+#Some cleanup
+rm -rf install tao-2.1-p0
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tao-2.1-p0.tar.gz' 'tao-2.1-p0.tar.gz'
+
+#Untar 
+tar -zxvf  tao-2.1-p0.tar.gz
+
+#move into place
+mv tao-2.1-p0/* install/
+rm -rf tao-2.1-p0
+cd install
+export TAO_DIR="$ISSM_DIR/externalpackages/tao/install/"
+
+#petsc needs to be compiled with --with-clanguage=C++
+make
Index: issm/trunk/externalpackages/tcl/install.sh
===================================================================
--- issm/trunk/externalpackages/tcl/install.sh	(revision 13395)
+++ issm/trunk/externalpackages/tcl/install.sh	(revision 13395)
@@ -0,0 +1,49 @@
+#!/bin/bash
+set -eu
+
+sudochoice=0;
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf tcl8.5.11
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tcl8.5.11.tar.gz' 'tcl8.5.11.tar.gz'
+
+#Untar 
+tar -zxvf  tcl8.5.11.tar.gz
+
+#Move tcl into src directory
+mv tcl8.5.11/* src
+rm -rf tcl8.5.11
+
+#Configure tcl
+ver="8.4.12"
+
+cd src/unix
+
+#User mode: 
+if [[ $sudochoice == "0" ]]; 
+then 
+	./configure --prefix=$ISSM_DIR/externalpackages/tcl/install
+	if [ $# -eq 0 ]; then
+		make
+	else
+		make -j $1
+	fi
+	make install 
+fi
+
+#sudo mode: 
+if [[ $sudochoice == "1" ]]; 
+then
+	sudo ./configure 
+	if [ $# -eq 0 ]; then
+		sudo make
+	else
+		sudo make -j $1
+	fi
+	sudo make install 
+fi
Index: issm/trunk/externalpackages/tclx/install.sh
===================================================================
--- issm/trunk/externalpackages/tclx/install.sh	(revision 13395)
+++ issm/trunk/externalpackages/tclx/install.sh	(revision 13395)
@@ -0,0 +1,32 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf tclx8.4
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tclx8.4.tar.gz' 'tclx8.4.tar.gz'
+
+#Untar 
+tar -zxvf  tclx8.4.tar.gz
+
+#Move tclx into src directory
+mv tclx8.4/* src
+rm -rf tclx8.4
+
+#Configure tclx
+cd src
+./configure --prefix="$ISSM_DIR/externalpackages/tclx/install"  \
+			--exec-prefix="$ISSM_DIR/externalpackages/tclx/install"  \
+	        --with-tcl=$ISSM_DIR/externalpackages/tcl/install/Library/Frameworks/Tcl.framework
+
+#Compile and install tclx
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/trunk/externalpackages/tex2im/install.sh
===================================================================
--- issm/trunk/externalpackages/tex2im/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/tex2im/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
